#!/usr/bin/python
try:
    import collectd
except:
    pass
import os

"""Initial plugin setup"""
dir_names = ['active', 'deferred', 'maildrop', 'incoming', 'corrupt', 'hold', 'bounce']
plugin_name = 'postfix'

def get_data():
    counts = []
    for dir_name in dir_names:
        dir = os.path.join('/var/spool/postfix', dir_name)
        counts.append((dir_name, sum(len(f) for _, _, f in os.walk(dir)),
                       'gauge'))
    return counts

def dispatch_data(parsed_data):
    for attr in parsed_data:
        dispatch_value(*attr)

# Everything below is generic and doesn't need to be changed when writing a new
# plugin that doesn't group values.
def dispatch_value(key, value, type):
    value = int(value)
    try:
        val = collectd.Values(plugin=plugin_name, type=type, type_instance=key,
                              values=[value])
        val.dispatch()
    except:
        print 'Dispatching value: %s %s %s' % (key, value, type)

def read_callback():
    """Callback which grabs data, parses it and dispatches to Collectd"""
    try:
        data = get_data()
    except:
        try:
            collectd.error('%s plugin: unable to get data' % plugin_name)
        except:
            pass
    print data
    dispatch_data(data)

try:
    collectd.register_read(read_callback)
except:
    pass

if __name__ == '__main__':
    read_callback()


