#!/bin/bash
# This script return the main server's IP and populates it to the argus.conf
# Magicollectd
# Date added: 3th September 2014

CURL_CONF="/usr/local/monitoring/collectd/etc/magic/argus.conf"
ARGUS_CONF="/usr/local/monitoring/collectd/etc/magic/argus_c.conf"
ARGUSMONO_CONF="/usr/local/monitoring/collectd/etc/magic/argusmono.conf"
SUGRA_CONF="/usr/local/monitoring/collectd/etc/magic/sugra.conf"

SHOSTNAME=$(hostname -s 2>/dev/null)
FHOSTNAME=$(hostname -f 2>/dev/null)
if [ -z "${FHOSTNAME}" ]; then  
    FHOSTNAME="${SHOSTNAME}.sd-france.net"
fi

if [ -f "/usr/local/monitoring/collectd/sbin/magicip" ]; then
    IP=$(bash /usr/local/monitoring/collectd/sbin/magicip)
else
    IP=`hostname -i 2>/dev/null`
fi    
# ADD TO argus.conf
if [ -f "${CURL_CONF}" ]; then 
	sed -i -e "s/public_ip/${IP}/g" ${CURL_CONF}
fi
echo -e "\nHandled ${CURL_CONF} - Interface: $INTERFACE and IP: $IP"

# ADD TO argus_c.conf
if [ -f "${ARGUS_CONF}" ]; then 
    if [ -n "$(echo ${FHOSTNAME} | grep -iE 'magic')" ]; then
    	sed -i -e "s/SERVER/${FHOSTNAME}/g" ${ARGUS_CONF}
    else
    	sed -i -e "s/SERVER/${SHOSTNAME}/g" ${ARGUS_CONF}
    fi
	sed -i -e "s/FQHN/${FHOSTNAME}/g" ${ARGUS_CONF}
fi
echo -e "\nHandled ${ARGUS_CONF} - Interface: $INTERFACE and IP: $IP and HOSTNAME = ${SHOSTNAME} ${FHOSTNAME}"


# ADD TO argusmono.conf
if [ -f "${ARGUSMONO_CONF}" ]; then 
    	sed -i -e "s/localhost/${FHOSTNAME}/g" ${ARGUSMONO_CONF}
fi
echo -e "\nHandled ${ARGUSMONO_CONF} - Interface: $INTERFACE and IP: $IP and HOSTNAME = ${SHOSTNAME} ${FHOSTNAME}"

exit 0
