#!/bin/bash
HOSTNAME="${COLLECTD_HOSTNAME:-`hostname`}"
FHOSTNAME=$(hostname)
INTERVAL="${COLLECTD_INTERVAL:-10}"
PORT="8000"
TIME=`date +%s`
IP=`ip a | grep inet | grep eth0 -m1 | awk '{print $2}' | cut -d'/' -f1`
if [ -z "$(echo ${FHOSTNAME} | grep -E '.*magic.fr|.*magicinfra.net|.*magiconline.fr|.*.sd-france.net')" ]; then
    HOSTNAME=${IP}
fi
while sleep "$INTERVAL"; do
    OKVAL="SDF200802SUCCES"
    INSTANCE=`echo 'gauge'`
    SEVERITY='failure'
    COM=`curl -s http://${HOSTNAME}:${PORT}/tests_sdfrance.php`
    VALUE=0 # 0 for DOWN
    if [[ "${COM}" =~ ${OKVAL} ]]; then
        SEVERITY='okay'
        VALUE=1
    fi
    echo "PUTVAL \"$HOSTNAME/argus/gauge\" interval=$INTERVAL N:${VALUE}"
    # Uncomment the line below to activate notifications
    #echo "PUTNOTIF host=${HOSTNAME} plugin=argus type=gauge severity=${SEVERITY} time=${TIME} message=\"Argus_down\""
done

